weka.core.pmml.jaxbbindings

## Class ParameterField

- java.lang.Object
- - weka.core.pmml.jaxbbindings.ParameterField

-     public class ParameterField
      extends java.lang.Object

  Java class for ParameterField element declaration.

  The following schema fragment specifies the expected content contained within this class.

       <element name="ParameterField">
         <complexType>
           <complexContent>
             <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
               <attribute name="dataType" type="{http://www.dmg.org/PMML-4_1}DATATYPE" />
               <attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
               <attribute name="optype" type="{http://www.dmg.org/PMML-4_1}OPTYPE" />
             </restriction>
           </complexContent>
         </complexType>
       </element>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParameterField()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DATATYPE` | `getDataType()` Gets the value of the dataType property.
    `java.lang.String` | `getName()` Gets the value of the name property.
    `OPTYPE` | `getOptype()` Gets the value of the optype property.
    `void` | `setDataType(DATATYPE value)` Sets the value of the dataType property.
    `void` | `setName(java.lang.String value)` Sets the value of the name property.
    `void` | `setOptype(OPTYPE value)` Sets the value of the optype property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ParameterField

          public ParameterField()

  - ### Method Detail

    - #### getDataType

          public DATATYPE getDataType()

      Gets the value of the dataType property.
      Returns:
        possible object is `DATATYPE`

    - #### setDataType

          public void setDataType(DATATYPE value)

      Sets the value of the dataType property.
      Parameters:
        `value` - allowed object is `DATATYPE`

    - #### getName

          public java.lang.String getName()

      Gets the value of the name property.
      Returns:
        possible object is `String`

    - #### setName

          public void setName(java.lang.String value)

      Sets the value of the name property.
      Parameters:
        `value` - allowed object is `String`

    - #### getOptype

          public OPTYPE getOptype()

      Gets the value of the optype property.
      Returns:
        possible object is `OPTYPE`

    - #### setOptype

          public void setOptype(OPTYPE value)

      Sets the value of the optype property.
      Parameters:
        `value` - allowed object is `OPTYPE`